<?xml version="1.0" encoding="utf-8"?>
<config>
	<fieldset
		addrulepath="/administrator/components/com_supportgroups/models/rules"
		addfieldpath="/administrator/components/com_supportgroups/models/fields"
		name="global_config"
		label="COM_SUPPORTGROUPS_CONFIG_GLOBAL_LABEL"
		description="COM_SUPPORTGROUPS_CONFIG_GLOBAL_DESC">
		<field
			name="check_in"
			type="list"
			default="0"
			label="COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_DESC">
			<option
				value="-5 hours">COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_OPTION_ONE</option>
			<option
				value="-12 hours">COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_OPTION_TWO</option>
			<option
				value="-1 day">COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_OPTION_THREE</option>
			<option
				value="-2 day">COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_OPTION_FOUR</option>
			<option
				value="-1 week">COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_OPTION_FIVE</option>
			<option
				value="0">COM_SUPPORTGROUPS_CONFIG_CHECK_TIMER_OPTION_SIX</option>
		</field>
		<field type="spacer" name="spacerAuthor" hr="true" />
		<field
			name="save_history"
			type="radio"
			class="btn-group btn-group-yesno"
			default="1"
			label="JGLOBAL_SAVE_HISTORY_OPTIONS_LABEL"
			description="JGLOBAL_SAVE_HISTORY_OPTIONS_DESC"
			>
			<option value="1">JYES</option>
			<option value="0">JNO</option>
		</field>
		<field
			name="history_limit"
			type="text"
			filter="integer"
			label="JGLOBAL_HISTORY_LIMIT_OPTIONS_LABEL"
			description="JGLOBAL_HISTORY_LIMIT_OPTIONS_DESC"
			default="10"
		/>
		<field type="spacer" name="spacerHistory" hr="true" />

		<!-- Set_browser_storage Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="set_browser_storage"
			label="COM_SUPPORTGROUPS_CONFIG_SET_BROWSER_STORAGE_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_SET_BROWSER_STORAGE_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="1"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_SUPPORTGROUPS_CONFIG_ACTIVE</option>
			<option value="0">
				COM_SUPPORTGROUPS_CONFIG_INACTIVE</option>
		</field>
		<!-- Storage_time_to_live Field. Type: List. (joomla) -->
		<field
			type="list"
			name="storage_time_to_live"
			label="COM_SUPPORTGROUPS_CONFIG_STORAGE_TIME_TO_LIVE_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_STORAGE_TIME_TO_LIVE_DESCRIPTION"
			class="list_class"
			multiple="false"
			default="global"
			showon="set_browser_storage:1">
			<!-- Option Set. -->
			<option value="global">
				COM_SUPPORTGROUPS_CONFIG_EVERY_SESSION</option>
			<option value="30">
				COM_SUPPORTGROUPS_CONFIG_EVERY_30_SECONDS</option>
			<option value="60">
				COM_SUPPORTGROUPS_CONFIG_EVERY_MINUTE</option>
			<option value="300">
				COM_SUPPORTGROUPS_CONFIG_EVERY_5_MINUTES</option>
			<option value="900">
				COM_SUPPORTGROUPS_CONFIG_EVERY_15_MINUTES</option>
			<option value="1800">
				COM_SUPPORTGROUPS_CONFIG_EVERY_30_MINUTES</option>
			<option value="3600">
				COM_SUPPORTGROUPS_CONFIG_EVERY_HOUR</option>
			<option value="18000">
				COM_SUPPORTGROUPS_CONFIG_EVERY_5_HOURS</option>
			<option value="36000">
				COM_SUPPORTGROUPS_CONFIG_EVERY_10_HOURS</option>
			<option value="86400">
				COM_SUPPORTGROUPS_CONFIG_EVERY_DAY</option>
			<option value="604800">
				COM_SUPPORTGROUPS_CONFIG_EVERY_WEEK</option>
			<option value="0">
				COM_SUPPORTGROUPS_CONFIG_NEVER_UPDATE</option>
		</field>
		<!-- Spacer_hr Field. Type: Spacer. A None Database Field. (joomla) -->
		<field type="spacer" name="spacer_hr" hr="true" class="spacer_hr" />
		<field name="autorTitle"
			type="spacer"
			label="COM_SUPPORTGROUPS_CONFIG_AUTHOR"
		/>
		<field name="autorName"
			type="text"
			label="COM_SUPPORTGROUPS_CONFIG_AUTHOR_NAME_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_AUTHOR_NAME_DESC"
			size="60"
			default="Llewellyn van der Merwe"
			readonly="true"
			class="readonly"
		/>
		<field name="autorEmail"
			type="email"
			label="COM_SUPPORTGROUPS_CONFIG_AUTHOR_EMAIL_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_AUTHOR_EMAIL_DESC"
			size="60"
			default="joomla@vdm.io"
			readonly="true"
			class="readonly"
		/>
	</fieldset>
	<fieldset
		name="uikit_config"
		label="COM_SUPPORTGROUPS_CONFIG_UIKIT_LABEL"
		description="COM_SUPPORTGROUPS_CONFIG_UIKIT_DESC">
		<field name="uikit_load"
			type="radio"
			label="COM_SUPPORTGROUPS_CONFIG_UIKIT_LOAD_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_UIKIT_LOAD_DESC"
			class="btn-group btn-group-yesno"
			default="">
			<!-- Option Set. -->
			<option value="">
				COM_SUPPORTGROUPS_CONFIG_AUTO_LOAD</option>"
			<option value="1">
				COM_SUPPORTGROUPS_CONFIG_FORCE_LOAD</option>"
			<option value="3">
				COM_SUPPORTGROUPS_CONFIG_ONLY_EXTRA</option>"
			<option value="2">
				COM_SUPPORTGROUPS_CONFIG_DONT_LOAD</option>"
		</field>
		<field name="uikit_min"
			type="radio"
			label="COM_SUPPORTGROUPS_CONFIG_UIKIT_MIN_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_UIKIT_MIN_DESC"
			class="btn-group btn-group-yesno"
			default="">
			<!-- Option Set. -->
			<option value="">
				COM_SUPPORTGROUPS_CONFIG_NO</option>"
			<option value=".min">
				COM_SUPPORTGROUPS_CONFIG_YES</option>"
		</field>
		<field name="uikit_style"
			type="radio"
			label="COM_SUPPORTGROUPS_CONFIG_UIKIT_STYLE_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_UIKIT_STYLE_DESC"
			class="btn-group btn-group-yesno"
			default="">
			<!-- Option Set. -->
			<option value="">
				COM_SUPPORTGROUPS_CONFIG_FLAT_LOAD</option>"
			<option value=".almost-flat">
				COM_SUPPORTGROUPS_CONFIG_ALMOST_FLAT_LOAD</option>"
			<option value=".gradient">
				COM_SUPPORTGROUPS_CONFIG_GRADIANT_LOAD</option>"
		</field>
	</fieldset>
	<fieldset
		name="google_maps_custom_config"
		label="COM_SUPPORTGROUPS_CONFIG_GOOGLE_MAPS">

		<!-- Note_google_api Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="note_google_api" label="COM_SUPPORTGROUPS_CONFIG_NOTE_GOOGLE_API_LABEL" description="COM_SUPPORTGROUPS_CONFIG_NOTE_GOOGLE_API_DESCRIPTION" heading="h2" class="note_google_api" />
		<!-- Api_key Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="api_key"
			label="COM_SUPPORTGROUPS_CONFIG_API_KEY_LABEL"
			size="60"
			maxlength="150"
			default=""
			description="COM_SUPPORTGROUPS_CONFIG_API_KEY_DESCRIPTION"
			class="text_area"
			filter="STRING"
			message="COM_SUPPORTGROUPS_CONFIG_API_KEY_MESSAGE"
			hint="COM_SUPPORTGROUPS_CONFIG_API_KEY_HINT"
		/>
		<!-- Maptype Field. Type: List. (joomla) -->
		<field
			type="list"
			name="maptype"
			label="COM_SUPPORTGROUPS_CONFIG_MAPTYPE_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_MAPTYPE_DESCRIPTION"
			class="list_class"
			multiple="false"
			filter="WORD"
			required="true"
			default="roadmap">
			<!-- Option Set. -->
			<option value="roadmap">
				COM_SUPPORTGROUPS_CONFIG_ROAD</option>
			<option value="satellite">
				COM_SUPPORTGROUPS_CONFIG_SATELLITE</option>
			<option value="hybrid">
				COM_SUPPORTGROUPS_CONFIG_HYBRID</option>
			<option value="terrain">
				COM_SUPPORTGROUPS_CONFIG_TERRAIN</option>
		</field>
		<!-- Maxzoom Field. Type: Integer. (joomla) -->
		<field
			type="integer"
			name="maxzoom"
			label="COM_SUPPORTGROUPS_CONFIG_MAXZOOM_LABEL"
			default="6"
			description="COM_SUPPORTGROUPS_CONFIG_MAXZOOM_DESCRIPTION"
			class="text_area"
			required="true"
			first="1"
			last="20"
			step="1"
		/>
		<!-- Gotozoom Field. Type: Integer. (joomla) -->
		<field
			type="integer"
			name="gotozoom"
			label="COM_SUPPORTGROUPS_CONFIG_GOTOZOOM_LABEL"
			default="8"
			description="COM_SUPPORTGROUPS_CONFIG_GOTOZOOM_DESCRIPTION"
			class="text_area"
			required="true"
			first="1"
			last="20"
			step="1"
		/>
		<!-- Cluster Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="cluster"
			label="COM_SUPPORTGROUPS_CONFIG_CLUSTER_LABEL"
			description="COM_SUPPORTGROUPS_CONFIG_CLUSTER_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="0"
			required="true">
			<!-- Option Set. -->
			<option value="1">
				COM_SUPPORTGROUPS_CONFIG_YES</option>
			<option value="0">
				COM_SUPPORTGROUPS_CONFIG_NO</option>
		</field>
		<!-- Cluster_at Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="cluster_at"
			label="COM_SUPPORTGROUPS_CONFIG_CLUSTER_AT_LABEL"
			size="10"
			maxlength="50"
			default="300"
			description="COM_SUPPORTGROUPS_CONFIG_CLUSTER_AT_DESCRIPTION"
			class="text_area"
			filter="INT"
			message="COM_SUPPORTGROUPS_CONFIG_CLUSTER_AT_MESSAGE"
			hint="COM_SUPPORTGROUPS_CONFIG_CLUSTER_AT_HINT"
			showon="cluster:1"
			onchange="if(!jQuery(this).val().match(/^\d+$/)){jQuery(this).val('')};"
		/>
		<!-- Clustergridsize Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="clustergridsize"
			label="COM_SUPPORTGROUPS_CONFIG_CLUSTERGRIDSIZE_LABEL"
			size="10"
			maxlength="50"
			default="100"
			description="COM_SUPPORTGROUPS_CONFIG_CLUSTERGRIDSIZE_DESCRIPTION"
			class="text_area"
			filter="INT"
			message="COM_SUPPORTGROUPS_CONFIG_CLUSTERGRIDSIZE_MESSAGE"
			hint="COM_SUPPORTGROUPS_CONFIG_CLUSTERGRIDSIZE_HINT"
			showon="cluster:1"
			onchange="if(!jQuery(this).val().match(/^\d+$/)){jQuery(this).val('')};"
		/>
		<!-- Clustermaxzoom Field. Type: Integer. (joomla) -->
		<field
			type="integer"
			name="clustermaxzoom"
			label="COM_SUPPORTGROUPS_CONFIG_CLUSTERMAXZOOM_LABEL"
			default="7"
			description="COM_SUPPORTGROUPS_CONFIG_CLUSTERMAXZOOM_DESCRIPTION"
			class="text_area"
			required="true"
			first="1"
			last="20"
			step="1"
			showon="cluster:1"
		/>
	</fieldset>
	<fieldset
		name="permissions"
		label="JCONFIG_PERMISSIONS_LABEL"
		description="JCONFIG_PERMISSIONS_DESC">
		<field
			name="rules"
			type="rules"
			label="JCONFIG_PERMISSIONS_LABEL"
			class="inputbox"
			validate="rules"
			filter="rules"
			component="com_supportgroups"
			section="component"
		/>
	</fieldset>
</config>